declare type SpringCallback = (spring: Spring) => void;
export interface AddListenerArgs {
    onSpringActivate?: SpringCallback;
    onSpringUpdate: SpringCallback;
    onSpringAtRest: SpringCallback;
}
export interface Spring {
    setOvershootClampingEnabled: (overshootClamping: boolean) => void;
    addListener: (addListenerArgs: AddListenerArgs) => void;
    destroy: () => void;
    setEndValue: (endValue: number) => void;
    getCurrentValue: () => number;
}
export interface SpringSystemInterface {
    createSpring: (stiffness: number, damping: number) => Spring;
}
export {};
